コンテンツにスキップ
AchaduDevelopers
Developers/API/integration_get
統合

「統合」を参照

コネクタの容量、正常性、および最後の検証を返します。

GET/integrations/{provider}integrations:read
行動

読み取りでは、キーにリンクされたアカウント内の識別子が検索され、操作に属さない場合は 404 が返されます。

効果

リソースを変更したり、公開をトリガーしたりしません。

繰り返し

この操作は繰り返しても安全です。 429 または 5xx では、ジッターのある指数バックオフを使用します。

リクエスト

providerstring · pathコネクタの識別子。必須
AuthorizationBearer ach_live_...
Acceptapplication/json
範囲integrations:read

実行ファイルの例

curl
curl 'https://achadu.com/api/v1/integrations/string' \
  -H 'Authorization: Bearer ach_live_...' \
  -H 'Accept: application/json'

応答とエラー

すべての応答には request_id が含まれます。リストにはページネーションが追加されます。可変リソースは、操作後に永続化された状態を返します。

200 application/json
{
  "data": {
    "id": "amazon",
    "configured": true,
    "testable": true,
    "status": "healthy",
    "reason": "Valid credential",
    "updated_at": "2026-08-31T18:20:00.000Z"
  },
  "request_id": "req_01J..."
}
200操作が完了しました。
400Invalid parameter, body or transition.
401キーが見つからない、無効、期限切れ、または取り消されています。
402アカウント プランでは、このインターフェイスはリリースされません。
403A chave precisa do escopo integrations:read.
404このアカウントには機能が存在しません。
409The current state prevents this operation.
413The JSON body exceeds 128 KB.
4291 分あたり 120 リクエストのウィンドウを超えました。